summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author ArTourter2020-02-24 00:02:47 +0100
committer Willy Sudiarto Raharjo2020-02-24 00:07:42 +0100
commit6c73ba64d5ef8c467930c6706c6140ca493babf7 (patch)
tree0ae140452a366ba18832ce546b1fe7c0d3b3734a
parent71fa22a53c8d7f58b88415fde6ec4c75d3931530 (diff)
downloadslackbuilds-6c73ba64d5ef8c467930c6706c6140ca493babf7.tar.gz
libraries/libaec: Added (Adaptive Entropy Coding library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/libaec/README11
-rw-r--r--libraries/libaec/libaec.SlackBuild103
-rw-r--r--libraries/libaec/libaec.info10
-rw-r--r--libraries/libaec/slack-desc19
4 files changed, 143 insertions, 0 deletions
diff --git a/libraries/libaec/README b/libraries/libaec/README
new file mode 100644
index 0000000000..ce12cde722
--- /dev/null
+++ b/libraries/libaec/README
@@ -0,0 +1,11 @@
+Libaec provides fast lossless compression of 1 up to 32 bit wide signed or
+unsigned integers (samples). The library achieves best results for low entropy
+data as often encountered in space imaging instrument data or numerical model
+output from weather or climate simulations. While floating point
+representations are not directly supported, they can also be efficiently coded
+by grouping exponents and mantissa.
+
+Libaec implements Golomb-Rice coding as defined in the Space Data System
+Standard documents [121.0-B-2][1] and [120.0-G-2][2].
+
+Libaec can replace SZIP.
diff --git a/libraries/libaec/libaec.SlackBuild b/libraries/libaec/libaec.SlackBuild
new file mode 100644
index 0000000000..f90b96c2a6
--- /dev/null
+++ b/libraries/libaec/libaec.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for libaec
+
+# Copyright 2020 Gregory J. L. Tourte <artourter@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libaec
+VERSION=${VERSION:-1.0.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+( cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
+ -DCMAKE_INSTALL_MANDIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release \
+ ..
+ make
+ make install DESTDIR=$PKG
+)
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS CHANGELOG.md INSTALL README.md README.SZIP THANKS doc/patent.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libaec/libaec.info b/libraries/libaec/libaec.info
new file mode 100644
index 0000000000..bb9ef1cdcf
--- /dev/null
+++ b/libraries/libaec/libaec.info
@@ -0,0 +1,10 @@
+PRGNAM="libaec"
+VERSION="1.0.4"
+HOMEPAGE="https://gitlab.dkrz.de/k202009/libaec"
+DOWNLOAD="https://gitlab.dkrz.de/k202009/libaec/uploads/ea0b7d197a950b0c110da8dfdecbb71f/libaec-1.0.4.tar.gz"
+MD5SUM="3635461bbb8d81a95049f7d6821fd4f0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="ArTourter"
+EMAIL="artourter@gmail.com"
diff --git a/libraries/libaec/slack-desc b/libraries/libaec/slack-desc
new file mode 100644
index 0000000000..991de83c37
--- /dev/null
+++ b/libraries/libaec/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libaec: libaec (Adaptive Entropy Coding library)
+libaec:
+libaec: Libaec provides fast lossless compression of 1 up to 32 bit wide
+libaec: signed or unsigned integers (samples). The library achieves best
+libaec: results for low entropy data as often encountered in space imaging
+libaec: instrument data or numerical model output from weather or climate
+libaec: simulations. While floating point representations are not directly
+libaec: supported, they can also be efficiently coded by grouping exponents
+libaec: and mantissa.
+libaec:
+libaec: Libaec can replace SZIP.